public interface ToolUseExampleOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getDisplayName()
public abstract String getDisplayName()Required. The display name for example.
string display_name = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The displayName. |
getDisplayNameBytes()
public abstract ByteString getDisplayNameBytes()Required. The display name for example.
string display_name = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for displayName. |
getExtensionOperation()
public abstract ToolUseExample.ExtensionOperation getExtensionOperation()Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.ExtensionOperation |
The extensionOperation. |
getExtensionOperationOrBuilder()
public abstract ToolUseExample.ExtensionOperationOrBuilder getExtensionOperationOrBuilder()Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Returns | |
|---|---|
| Type | Description |
ToolUseExample.ExtensionOperationOrBuilder |
|
getFunctionName()
public abstract String getFunctionName()Function name to call.
string function_name = 11;
| Returns | |
|---|---|
| Type | Description |
String |
The functionName. |
getFunctionNameBytes()
public abstract ByteString getFunctionNameBytes()Function name to call.
string function_name = 11;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for functionName. |
getQuery()
public abstract String getQuery()Required. Query that should be routed to this tool.
string query = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The query. |
getQueryBytes()
public abstract ByteString getQueryBytes()Required. Query that should be routed to this tool.
string query = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for query. |
getRequestParams()
public abstract Struct getRequestParams()Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Returns | |
|---|---|
| Type | Description |
Struct |
The requestParams. |
getRequestParamsOrBuilder()
public abstract StructOrBuilder getRequestParamsOrBuilder()Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getResponseParams()
public abstract Struct getResponseParams()Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Returns | |
|---|---|
| Type | Description |
Struct |
The responseParams. |
getResponseParamsOrBuilder()
public abstract StructOrBuilder getResponseParamsOrBuilder()Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getResponseSummary()
public abstract String getResponseSummary()Summary of the tool response to the user query.
string response_summary = 5;
| Returns | |
|---|---|
| Type | Description |
String |
The responseSummary. |
getResponseSummaryBytes()
public abstract ByteString getResponseSummaryBytes()Summary of the tool response to the user query.
string response_summary = 5;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for responseSummary. |
getTargetCase()
public abstract ToolUseExample.TargetCase getTargetCase()| Returns | |
|---|---|
| Type | Description |
ToolUseExample.TargetCase |
|
hasExtensionOperation()
public abstract boolean hasExtensionOperation()Extension operation to call.
.google.cloud.aiplatform.v1beta1.ToolUseExample.ExtensionOperation extension_operation = 10;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the extensionOperation field is set. |
hasFunctionName()
public abstract boolean hasFunctionName()Function name to call.
string function_name = 11;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the functionName field is set. |
hasRequestParams()
public abstract boolean hasRequestParams()Request parameters used for executing this tool.
.google.protobuf.Struct request_params = 3;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the requestParams field is set. |
hasResponseParams()
public abstract boolean hasResponseParams()Response parameters generated by this tool.
.google.protobuf.Struct response_params = 4;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the responseParams field is set. |